Bug 151541 - Repeated man pages
Repeated man pages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: man-pages (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 20:14 EST by Binand Sethumadhavan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 04:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Binand Sethumadhavan 2005-03-18 20:14:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
A number of man pages are repeated in /usr/share/man/en/man?/ and /usr/share/man/man?/ directories. The don't even look exactly identical (even though the text of the manpage as displayed by man(1) looks the same):

[root@server man]# ls -l ./en/man2/getdomainname.2.gz ./man2/getdomainname.2.gz
-rw-r--r--    1 root     root         1190 Jun 10  2001 ./en/man2/getdomainname.2.gz
-rw-r--r--    1 root     root         1188 Oct  5 08:16 ./man2/getdomainname.2.gz

Just an annoyance, especially when you do something like man -a.

Version-Release number of selected component (if applicable):
1.60-4.2

How reproducible:
Always

Steps to Reproduce:
man -a time - you will see two time(2) man pages. man 2 time does not exhibit this problem.

Additional info:

RHEL 3 U4, up2dated completely.
Comment 1 Ivana Varekova 2005-08-30 04:12:52 EDT
Thank you for your notice. There are reasons why these man pages should be in
/usr/share/man/en/man?/ and /usr/share/man/man?/ directories and there are
reasons why they should not be there. I think upstream (mtk-manpages@gmx.net)
should resolved on this problem. Nowdays upstream version contains these man
pages in both directories. 

Note You need to log in before you can comment on or make changes to this bug.